/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Mar-31-2012 06:03:43pm
Filepath: scripts\events and scenarios\Long Live the King 2012\Britain Undead Invasions\HazardsAndCollisions\ExplodingItem.cs
Lines of code: 37

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class ExplodingItem : BaseExplosionPotion
	{
		public override int MinDamage { get { return 80; } }
		public override int MaxDamage { get { return 140; } }

		[Constructable]
		public ExplodingItem() : base( PotionEffect.ExplosionGreater )
		{
			ItemID = Utility.RandomList(4014, 2541, 4017, 11739, 11740);
			
			switch (ItemID)
			{
				case 4014: Name="Barrel";break;
				case 2541: Name="Cauldron";break;
				case 4017: Name="Forge";break;
				case 11739: Name="Kiln";break;
				case 11740: Name="Kiln";break;				
			}
			
			Movable = false;
		}

		public ExplodingItem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}